#ifndef OPENGLGRAPHICS_H
#define OPENGLGRAPHICS_H

#include <string>
#include <epoxy/gl.h>
#include <opengl-playground/openglshader.hpp>

class OpenGlGraphics
{
	public:
		OpenGlGraphics(OpenGlShaderProgram &prog);
		~OpenGlGraphics();
		virtual void realize() = 0;
		virtual void render() = 0;
	protected:
		OpenGlShaderProgram shaderprog;
};

#endif // OPENGLGRAPHICS_H
